*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

:root{
    --color-primary: rgb(115, 108, 237);
    --color-light: rgba(0, 0, 255, 0.3);
    --color-dark: rgba(0, 0, 255, 0.4);
    --submit-btn: rgb(115, 108, 237);
    --submit-btn-hover: rgb(99, 91, 236);
    --color-media: rgba(0, 120, 0, 0.4);
    --color-media-hover: rgba(0, 120, 0, 0.5);

}



/* The button to upload credentials */
#credentials{
    display: none;
    justify-content: space-evenly;
    align-items: center;
    margin: .5rem 0;
    padding: 2rem;
    cursor: pointer;
    width: 500px;
    height: 40px;
    background-color: var(--color-media);
    transition: all 200ms ease-in-out;
}

#credentials:hover{
    background-color: var(--color-media-hover);
}

.container{
    display: flex;
    height: 100vh;

}

/* SVG CONTAINER */
.container section:nth-of-type(2){
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1rem 0 0 1rem;
    filter: drop-shadow(-20px 12px 20px rgba(0,0,0,0.3));

}

.form{
    width: 100%;
    height: auto;
    display: grid;
    padding: 2rem;
    gap: .5rem;

}

.form label p{
    margin: .3rem 0;
}

.form input{
    width: 100%;
    height: 50px;
    padding: 0 1rem;
    border: none;
    background-color: rgba(189, 186, 186, 0.1);
    border-radius: .5rem;
    transition: all .2s ease;
    color: var(--color-dark);
    font-size: 1rem;

}

.form input[type="file"]{
    display: none;
}



.form input:focus{
    outline: none;
    background-color: rgba(158, 156, 156, 0.1);
}



:link{
    text-decoration: none;

}

select{
    width: 100%;
    height: 50px;
    cursor: pointer;
    color: var(--color-dark);
    border: none;
    background-color: rgba(189, 186, 186, 0.1);
    border-radius: .5rem;
}

select:focus{
    outline: none;
    border: 2px solid var(--color-light);
}


button[type = "submit"]{
    display: block;
    margin: 12px 0;
    width: 100px;
    height: 40px;
    background-color: var(--submit-btn);
    color: white;
    opacity: 0.8;
    border-radius: 2px;
    border: none;
    cursor: pointer;
    transition: opacity 500ms ease-in-out;

}

button[type = "submit"]:hover{
    opacity: 1;
}

button[type = "submit"]:active{
    outline: 2px solid var(--color-light);
    outline-offset: 2px;
}

.registration-message{
    display: grid;
    grid-template-rows: 1fr 1fr;
    padding: 1rem;
}

.registration-message div{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.registration-message div a{
    padding: .5rem .8rem;
     border-radius: 8px;
     background-color: var(--color-light);
     color: white;
     transition: all .2s linear;

}

.registration-message div a:hover{
    background-color: var(--color-dark);
}

.registration-message p{
    color: var(--color-light);
}

@media  screen and (max-width: 768px) {
    *{
        font-size: 1rem;
    }
    .container section:nth-of-type(2){
        display: none;
    }
    .form input{
        height: 60px;
    }
    button[type="submit"]{
        width: 100%;
        height: 72px;
    }
}
